<?
use LabBase\Model\Brand;
use LabBase\Model\User;


$this->headLink(['rel' => 'stylesheet', 'href' => 'http://fonts.googleapis.com/css?family=Open+Sans:400,700%7CLato:400,700%7CSlabo+27px%7CUbuntu:400,700%7CPT+Sans+Narrow:400,700&subset=latin,latin,latin,latin,latin']);

?>

<style>
    h1, h2, h3 {font-weight: bolder; margin-top: 25px;}
    h1 { font-size: 28px; }
    h2 { font-size: 22px; }
    h3 { font-size: 18px; }

    code {font-family: Consolas, monospace;}
    code i {color: #0A0; font-style: normal; font-weight: normal; }
    code b {color: #C00; font-style: normal; font-weight: normal;}
    code b i, code i b {color: #C60; text-decoration:none; font-weight: normal;}

    #site-content {
        max-width: 95vw !important;
    }

    .feedTable {
        width: 100%;
        border-collapse: collapse;
        margin: 10px 0;
    }
    .feedTable td {
        border: 1px solid #ddd;
        padding: 4px 5px;
        font-size: 14px;
        font-family: 'PT Sans Narrow', sans-serif;
    }
    .feedTable thead * {
        background: #ddd;
    }
    .feedTable:not(.doublerows) tr:nth-child(2n+1),
    .feedTable.doublerows tr:nth-child(4n+1),
    .feedTable.doublerows tr:nth-child(4n+2) {
        background: #fff;
    }
    .feedTable tr {
        background: #eee;
    }

    .feedTable ul {
        list-style-type: none;
    }

    .paramColors span:nth-child(1) { color: #D40; text-transform: uppercase; }
    .paramColors span:nth-child(2) { color: green; font-weight: bold; }
    .paramColors span:nth-child(3) { color: black; }

    .retColors span:nth-child(1) { color: orange; }
    .retColors span:nth-child(2) { color: green; font-weight: bold; }
    .retColors span:nth-child(3) { color: black; }
</style>

<div claretColorsss="node">
    <div class="align-center">
        <div class="form-container fullwidth" style="margin-bottom: 50px;">

            <h1>Snippet cheat sheet</h1>


            <h2>Inserting a view variable</h2>
            <code>
                &lt;?= $this-><i>variableName</i>; ?&gt;<br />
                <i>// eg. in sign-in page:</i> <br />
                &lt;span class="error"&gt; <b>&lt;?= $this-><i>errorMessage</i>; ?&gt;</b> &lt;/span&gt;
            </code>

            <h2>Generating a link in a view</h2>
            <code>
                &lt;?= $this->url('<b>ROUTE NAME</b>', <i>['urlParamA' => 'value', 'urlParamB' => 'value']</i>); ?&gt;<br />
                <i>// eg. link to :</i> <br />
                &lt;span class="error"&gt; <b>&lt;?= $this-><i>errorMessage</i>; ?&gt;</b> &lt;/span&gt;
            </code>

            <h2>Attaching a css file to HEAD</h2>
            <code>
                <i>// at the beginning of the .phtml file:</i> <br/>
                &lt;?php <br/>
                &nbsp; $this->headLink(['rel' => 'stylesheet', 'href' => 'http://fonts.googleapis.com/css?family=XXX']); <br/>
                ?&gt;<br/>
            </code>

            <h1>Routes</h1>
            <h2>Documented Route List</h2>

            <p>
                Parameters refer to any GET/POST/COOKIE or URL parameters.
                Returns refer to variables available to the layout (or output json format).

            </p>

            <table class="feedTable doublerows">
                <thead> <td>ID</td> <td>Route name</td> <td colspan="2">Description</td> </thead>
                <thead> <td> </td> <td>Route spec</td> <td>Parameters</td> <td>Returns</td> </thead>
                <? foreach($routes as $route) {
                    if(empty($route['params']) && empty($route['returns'])) continue;
                    ?>
                    <tr>
                        <td><?= $route['id'] ?></td>
                        <td><?= $route['routeName'] ?></td>
                        <td colspan="2"><?= $route['longdesc'] ?></td>
                    </tr>
                    <tr>
                        <td> </td>
                        <td><?= $route['route'] ?></td>
                        <td class="paramColors"><?= $route['params'] ?></td>
                        <td class="retColors"><?= $route['returns'] ?></td>
                    </tr>
                <? } ?>
            </table>


            <h2>Complete Route List</h2>

            <table class="feedTable">
                <thead> <td>ID</td> <td>Route name</td> <td>Route spec</td> <td>Description</td> </thead>
                <? foreach($routes as $route) { ?>
                    <tr>
                        <td><?= $route['id'] ?></td>
                        <td><?= $route['routeName'] ?></td>
                        <td><?= $route['route'] ?></td>
                        <td><?= $route['description'] ?></td>
                    </tr>
                <? } ?>
            </table>

        </div>
    </div>
</div>